package com.liang.service;

import com.liang.entity.BaseArea;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (BaseArea)表服务接口
 *
 * @author makejava
 * @since 2023-02-15 23:13:13
 */
public interface BaseAreaService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseArea queryById(Integer id);

    /**
     * 分页查询
     *
     * @param baseArea    筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<BaseArea> queryByPage(BaseArea baseArea, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseArea 实例对象
     * @return 实例对象
     */
    BaseArea insert(BaseArea baseArea);

    /**
     * 修改数据
     *
     * @param baseArea 实例对象
     * @return 实例对象
     */
    BaseArea update(BaseArea baseArea);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取所有数据
     *
     * @return
     */
    List<BaseArea> queryAll();

    /**
     * 获取国家列表
     *
     * @return
     */
    List<BaseArea> getCountryList(Map map);

    /**
     * 获取国家
     *
     * @return
     */
    List<Map<String, String>> getCountry();
}
